#ifndef IMAGE_KERNELS_H
#define IMAGE_KERNELS_H

#include "image.h"

#define PI 3.141592653589793

class HSobel : public Image {
public:
    void Create(void);
};

class VSobel : public Image {
public:
    void Create(void);
};

class Blur : public Image {
public:
    void Create(void);
};

class Sharpen : public Image {
public:
    void Create(void);
};

class Sinc : public Image {
public:
    void Create(double maxrange, double sample);
    double sinc(double t) { if (t != 0) return sin(PI*t)/(PI*t);
    else return 1.0;};
};

#endif
